<?php
require'f_profill.php';
require'f_conectare.php';
conectare('profil membru '.$unume,'profil-membru'.$x2);
$titlu='Profil membru '.$unume;
if($de==0)
$head[3]='<link rel="canonical" href="'.$adresasite[0].'/profil-membru'.$x2.'" />';
$back[1]='<a href="/conectati">'.img('group.gif',1).'Conectați</a>';
require'f_avatar.php';
require'f_sus.php';
echo$div[4].img('user_silhouette.png',1).'Profil membru '.nume($la).$div[5].$div[10].'<a href="/detalii-membru'.$x2.'">Detalii membru '.nume($la).'</a><strong> - </strong><a href="/statistici-membru'.$x2.'">statistici membru '.nume($la).'</a>';
$detalii_membru=$conn->query('SELECT`ip`,`browser`,`status`,`perm`,`activitate`,`logat`,`location`,`locatie2`,`data_nastere`,`mesaje_chat`,`data`,`email`,`descriere`,`lei`,`euro`,`trivia`,`spune_cartea`,`anagrame`,`vizualizari`,`compro`,`invitatde`,`melodie_favorita`,`lastplreas`,`lastpnreas`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row();
if($perm>0)
{
echo'<strong> - </strong><a href="/admin-moderare-membru'.$x2.'">'.img('administrare.png',1).'moderare membru</a>';
if($conn->query('SELECT COUNT(*)FROM`membrii`WHERE`ip`="'.$detalii_membru[0].'"&&`browser`="'.$detalii_membru[1].'"&&NOT`id`IN('.join(',',$id_proprietari).')')->fetch_row()[0]>1)
echo'<strong> - </strong>Mai multe conturi!';
}
echo$div[0];
require'f_filtru.php';
if($detalii_membru[2]!=''&&$de>0)
echo$div[1].'Status: <strong>'.filtru($detalii_membru[2]).'</strong>'.$div[0];
if($la==$de&&$de>0)
echo$div[1].'<a href="/seteaza-status-conectati">'.img('status.gif',2).'Seteaza status</a>'.$div[0].$div[1].'<a href="/avatare">'.img('setari.png',2).'Avatare</a>'.$div[0].$div[1].'BBCode: [url=/profil-membru'.$x2.']'.$unume.'[/url]'.$div[0];
if($meniu['baiatul_si_fata_zilei']==1)
{
$pozegalerie=$conn->query('SELECT COUNT(*)FROM`galerie_poze`WHERE`de`="'.$la.'"&&`valid`>0')->fetch_row();
if($uinfo[2]=='F')
{
$cate=$conn->query('SELECT COUNT(*)FROM`fata_zilei`WHERE`de`="'.$de.'"&&`la`="'.$la.'"')->fetch_row();
$items=$conn->query('SELECT DISTINCT`id`,`de`FROM`fata_zilei_din`ORDER BY`id`DESC LIMIT 1');
if($items->num_rows>0)
{
while($item=$items->fetch_row())
{
$f=$item[1];
}
}
if($de!=$la)
{
if($pozegalerie[0]>0&&$cate[0]==0&&$f!=$la&&$detalii_membru[3]==0)
{
echo$div[1].'<a href="'.$_SERVER['REQUEST_URI'].'/pagina/1">Voteaza pe '.nume($la).', pentru fata zilei</a>'.$div[0];
if($page==1)
{
require'f_mut.php';
$cate=$conn->query('SELECT COUNT(*)FROM`fata_zilei`WHERE`de`="'.$de.'"&&`la`="'.$la.'"')->fetch_row();
if($cate[0]==0)
{
if($conn->query('INSERT INTO`fata_zilei`SET`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai votato pe '.nume($la).', cu succes!';
$conn->query('INSERT INTO`evenimente`SET`text`="[img='.$domenii_statice[1].'apreciaza.png] a votat-o ca fata zilei, pe",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
require'f_notificare.php';
notificare('ti-am dat un vot pentru Fata Zilei!',$la,$de);
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'O poți vota pe '.nume($la).', doar odata pe zi!';
echo$div[0];
}
}
}
}
if($uinfo[2]=='M')
{
$cate=$conn->query('SELECT COUNT(*)FROM`baiatul_zilei`WHERE`de`="'.$de.'"&&`la`="'.$la.'"')->fetch_row();
$items=$conn->query('SELECT DISTINCT`id`,`de`FROM`baiatul_zilei_din`ORDER BY`id`DESC LIMIT 1');
if($items->num_rows>0)
{
while($item=$items->fetch_row())
{
$m=$item[1];
}
}
if($de!=$la)
{
if($pozegalerie[0]>0&&$cate[0]==0&&$m!=$la&&$detalii_membru[3]==0)
{
echo$div[1].'<a href="'.$_SERVER['REQUEST_URI'].'/pagina/1">Voteaza pe '.nume($la).', pentru baiatul zilei</a>'.$div[0];
if($page==1)
{
require'f_mut.php';
$cate=$conn->query('SELECT COUNT(*)FROM`baiatul_zilei`WHERE`de`="'.$de.'"&&`la`="'.$la.'"')->fetch_row();
if($cate[0]==0)
{
if($conn->query('INSERT INTO`baiatul_zilei`SET`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'L-ai votat pe '.nume($la).', cu succes!';
$conn->query('INSERT INTO`evenimente`SET`text`="[img='.$domenii_statice[1].'apreciaza.png] l-a votat ca baiatul zilei, pe",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
require'f_notificare.php';
notificare('ti-am dat un vot pentru Baiatul Zilei!',$la,$de);
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Il poți vota pe '.nume($la).', doar o data pe zi!';
echo$div[0];
}
}
}
}
}
require'f_data.php';
require'f_ramas.php';
echo$div[1].'<strong>';
$sex_la=($uinfo[2]=='F'?'ă':'');
if($conn->query('SELECT`vizibil`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]==1)
echo'<img src="'.$domenii_statice[2].'ofl.png" alt="-" width="16" height="16" />Deconectat'.$sex_la;
else
{
$conectat=$conn->query('SELECT COUNT(*)FROM`membrii_conectati`WHERE`de`="'.$la.'"')->fetch_row();
if($conectat[0]>0)
{
$idle=ramas($_SERVER['REQUEST_TIME']-$detalii_membru[4]);
if($la==$de)
$idle='0 secunde';
if($idle=='')
$idle='2 secunde';
echo'<img src="'.$domenii_statice[1].'onl.png" alt="+" width="16" height="16" />Conectat'.$sex_la.' de: <small>'.data($detalii_membru[5]).'</small></strong>'.$div[0].$div[1].'Nici o actiune de: <strong>'.$idle;
$plcl=$conn->query('SELECT`link`,`loc`FROM`membrii_conectati`WHERE`de`="'.$la.'"')->fetch_row();
$uactt=($detalii_membru[3]>0?'':'Situare: '.($plcl[0]!=''?'<a href="'.$plcl[0].'">'.$plcl[1].'</a>':$plcl[1]));
if($uactt!='')
echo'</strong>'.$div[0].$div[1].'<strong>'.$uactt;
}
else
{
$idle=ramas($_SERVER['REQUEST_TIME']-$detalii_membru[4]);
if($la==$de)
$idle='0 secunde';
if($idle=='')
$idle='2 secunde';
echo'<img src="'.$domenii_statice[2].'ofl.png" alt="-" width="16" height="16" />Deconectat'.$sex_la.' de '.$idle;
}
}
require'f_varsta.php';
require'f_statut.php';
require'f_reputatie.php';
echo'</strong>'.$div[0].$div[1].'Identitate: <strong>'.$la.'</strong>'.$div[0];
if($detalii_membru[6]!=''&&$detalii_membru[7]!='')
{
echo$div[1].'Locatie: <a href="/cauta-membrii-dintr-un-judet?go='.rawurlencode($detalii_membru[6]).'">';
if($detalii_membru[6]!='Alte țări')
echo'<img src="'.$domenii_statice[1].'judete/'.$conn->query('SELECT`jud`FROM`localitati`WHERE`judet`="'.$detalii_membru[6].'"&&`nume`="'.$detalii_membru[7].'"')->fetch_row()[0].'.gif" alt="" />'.$detalii_membru[6].'</a><strong> - </strong><a href="/localitate-membru'.$x2.'">'.img('locatie.png',1).$detalii_membru[7];
else
{
$tara=$conn->query('SELECT`cod`FROM`tari`WHERE`nume`="'.$detalii_membru[7].'"')->fetch_row();
echo'<img src="'.$domenii_statice[2].'tari/'.$tara[0].'.png" alt="" />'.$detalii_membru[7];
}
echo'</a>'.$div[0];
}
echo$div[1].sex($la,1).', <strong>'.varsta($detalii_membru[8]).'</strong> ani'.$div[0].$div[1].'Nivel: <strong>'.getstatut($la).'</strong>'.$div[0].$div[1].'Reputatie: <strong>'.reputatie($detalii_membru[9]).'</strong>'.$div[0].$div[1].'Browser: <strong>'.explode('/',$detalii_membru[1])[0].'</strong>'.$div[0];
$evenimente=$conn->query('SELECT COUNT(*)FROM`evenimente`WHERE`de`="'.$la.'"&&`tip`>0')->fetch_row()[0];
if($evenimente>0)
echo$div[1].'<a href="/evenimente-recente'.$x2.'">'.img('world.png',2).'Evenimente recente</a> <strong>'.number_format($evenimente).'</strong>'.$div[0];
$poze=$conn->query('SELECT COUNT(*)FROM`galerie_poze`WHERE`de`="'.$la.'"&&`valid`>0')->fetch_row()[0];
if($poze>0)
echo$div[1].'<a href="/poze-membru'.$x2.'">'.img('galerie.png',1).'Poze la galerie</a> <strong>'.number_format($poze).'</strong>'.$div[0];
$articole=$conn->query('SELECT COUNT(*)FROM`blog_articole`WHERE`de`="'.$la.'"')->fetch_row()[0];
if($articole>0)
echo$div[1].'<a href="/blog'.$x2.'">Articole în blog</a> <strong>'.number_format($articole).'</strong>'.$div[0];
echo$div[1].'Inregistrat'.$sex_la.': <small>'.data($detalii_membru[10]).'</small>'.$div[0];
$cati=$conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$la.'"||`la`="'.$la.'")&&`citit`>"0"')->fetch_row();
if($cati[0]>0)
echo$div[1].'<a href="/prieteni-membru'.$x2.'">'.img('prieteni.png',2).'Prieteni</a> <strong>'.number_format($cati[0]).'</strong>'.$div[0];
$cati=$conn->query('SELECT COUNT(*)FROM((SELECT`la`AS`id`FROM`prieteni`WHERE`de`="'.$de.'"&&`citit`>"0")UNION(SELECT`de`AS`id`FROM`prieteni`WHERE`la`="'.$de.'"&&`citit`>"0"))AS`x`JOIN((SELECT`la`AS`id`FROM`prieteni`WHERE`de`="'.$la.'"&&`citit`>"0")UNION(SELECT`de`AS`id`FROM`prieteni`WHERE`la`="'.$la.'"&&`citit`>"0"))AS`y`ON`x`.`id`=`y`.`id`')->fetch_row();
if($cati[0]>0&&$de!=$la)
echo$div[1].'<a href="/prieteni-comuni'.$x2.'">'.img('prieteni.png',2).'Prieteni comuni</a> <strong>'.number_format($cati[0]).'</strong>'.$div[0];
$produse=$conn->query('SELECT COUNT(*)FROM`magazin_cumparaturi`WHERE`de`="'.$la.'"')->fetch_row()[0];
if($produse>0)
echo$div[1].'<a href="/produse-membru'.$x2.'">'.img('animalshop.gif',1).'Produse cumpărate</a> <strong>'.number_format($produse).'</strong>'.$div[0];
if(in_array($de,$id_proprietari))
echo$div[1].'E-mail: <a href="mailto:'.$detalii_membru[11].'"><strong>'.$detalii_membru[11].'</strong></a>'.$div[0];
if($detalii_membru[12]!=''&&$de>0)
echo$div[1].'Se descrie: <strong>'.filtru($detalii_membru[12]).'</strong>'.$div[0];
echo$div[1].'Lei: <strong>'.number_format($detalii_membru[13]).'</strong>'.$div[0].$div[1].'Euro: <strong>'.number_format($detalii_membru[14]).'</strong>'.$div[0].$div[1].'Puncte trivia: <strong>'.number_format($detalii_membru[15]).'</strong>'.$div[0].($meniu['biblia']==1?$div[1].'Puncte Spune Cartea: <strong>'.number_format($detalii_membru[16]).'</strong>'.$div[0]:'').$div[1].'Puncte Anagrame: <strong>'.number_format($detalii_membru[17]).'</strong>'.$div[0].$div[1].'Vizite profil: <strong>'.number_format($detalii_membru[18]).'</strong>'.$div[0];
if($de!=$la)
$conn->query('UPDATE`membrii`SET`vizualizari`=vizualizari+1 WHERE`id`="'.$la.'"');
if($_SERVER['REQUEST_TIME']>($conn->query('SELECT MAX(`data`)FROM`istoric_vizite_profil`WHERE`la`="'.$la.'"&&`de`="'.$de.'"')->fetch_row()[0]+600)&&$la!=$de&&$de>0&&$perm==0)
$conn->query('INSERT INTO`istoric_vizite_profil`SET`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[1].'Profil vizitat ultima data de: '.profil($conn->query('SELECT`de`FROM`istoric_vizite_profil`WHERE`la`="'.$la.'"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0]).$div[0].$div[1].'<a href="/vizitatori-profil'.$x2.'">Vizitatori profil</a>'.$div[0];
$istoric_nume=$conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$la.'"')->fetch_row()[0];
if($istoric_nume>0)
echo$div[1].'<a href="/istoric-nume'.$x2.'">Istoric nume</a> <strong>'.number_format($istoric_nume).'</strong>'.$div[0];
$comentarii_profil=$conn->query('SELECT COUNT(*)FROM`comentarii_profil`WHERE`la`="'.$la.'"')->fetch_row()[0];
echo$div[1].'<a href="/comentarii-profil'.$x2.'">Comentarii profil</a> <strong>'.($comentarii_profil==0?'nu are':number_format($comentarii_profil)).'</strong>';
if($detalii_membru[19]==1)
echo'<br />Nu doreste alte comentarii';
echo$div[0].$div[1].'<a href="/carte-de-identitate'.$x2.'">Carte de identitate '.nume($la).'</a>'.$div[0];
if($detalii_membru[20]>0)
echo$div[1].'A fost invitat'.$sex_la.' pe '.$adresasite[1].', de catre: '.profil($detalii_membru[20]).$div[0];
$invitati=$conn->query('SELECT COUNT(*)FROM`membrii`WHERE`invitatde`="'.$la.'"')->fetch_row();
if($invitati[0]>0)
echo$div[1].'<a href="/prieteni-invitati'.$x2.'">Prieteni invitați</a> <strong>'.number_format($invitati[0]).'</strong>'.$div[0];
if($detalii_membru[21]>0)
{
$fisier=$conn->query('SELECT`nume`,`fid`FROM`descarcari_fisiere`WHERE`id`="'.$detalii_membru[21].'"')->fetch_row();
echo$div[1].'Melodie favorita: <a href="/fisier/id/'.$detalii_membru[21].'-'.seo($fisier[0]).'" title="Fișier '.htmlspecialchars($fisier[0].' - '.$conn->query('SELECT`nume`FROM`descarcari_albume`WHERE`id`="'.$fisier[1].'"')->fetch_row()[0]).'">'.img('download.gif',1).'<strong>'.htmlspecialchars($fisier[0]).'</strong></a>'.$div[0];
}
if($meniu['casatorii_virtuale']==1)
{
echo$div[1].'Stare civilă: <strong>';
if($conn->query('SELECT COUNT(*)FROM`casatorii_virtuale`WHERE(`de`="'.$la.'"||`la`="'.$la.'")&&`citit`>"0"')->fetch_row()[0]>0)
{
$cuplu=$conn->query('SELECT`de`,`la`,`tip`FROM`casatorii_virtuale`WHERE(`de`="'.$la.'"||`la`="'.$la.'")&&`citit`>"0"')->fetch_row();
if($cuplu[0]==$la)
$cuplul=$cuplu[1];
elseif($cuplu[1]==$la)
$cuplul=$cuplu[0];
echo($cuplu[2]=='1'?'logodit':'căsătorit').sex($la,2).' cu <a href="/statistici-cuplu/la/'.$cuplul.'-'.seo(nume($cuplul,1)).'">'.nume($cuplul).'</a>';
}
elseif($conn->query('SELECT COUNT(*)FROM`casatorii_virtuale`WHERE(`de`="'.$la.'"||`la`="'.$la.'")&&`citit`<"0"')->fetch_row()[0]>0)
{
$cuplu=$conn->query('SELECT`de`,`la`,`tip`FROM`casatorii_virtuale`WHERE(`de`="'.$la.'"||`la`="'.$la.'")&&`citit`<"0"')->fetch_row();
if($cuplu[0]==$la)
$cuplul=$cuplu[1];
elseif($cuplu[1]==$la)
$cuplul=$cuplu[0];
echo($cuplu[2]=='1'?'logodnă ruptă cu':'divorțat'.sex($la,2).' de').' <a href="/statistici-cuplu/la/'.$cuplul.'-'.seo(nume($cuplul,1)).'">'.nume($cuplul).'</a>';
}
else
echo'<a href="/starea-civila'.$x2.'">singur'.sex($la,2).'</a>';
echo'</strong>'.$div[0];
}
echo$div[1];
if(budres($de,$la)==0)
echo'<a href="/adauga-la-prieteni'.$x2.'">'.img('pref.gif',1).'Trimite cerere prietenie la '.nume($la).'</a>';
elseif(budres($de,$la)==1)
echo'(Cerere de prietenie în curs)';
elseif(budres($de,$la)==2)
echo'<a href="/sterge-de-la-prieteni'.$x2.'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de la prieteni</a>';
echo$div[0].$div[1];
$ign=$conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$la.'"&&`de`="'.$de.'"')->fetch_row()[0];
if($ign>0)
echo'<a href="/sterge-de-la-ignorati'.$x2.'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de la ignor  pe '.nume($la).'</a>';
elseif($de!=$la)
echo'<a href="/adauga-la-ignorati'.$x2.'"><img src="'.$domenii_statice[1].'blocheaza.gif" alt="" width="16" height="16" />Adaugă la ignor pe '.nume($la).'</a>';
echo$div[0].$div[1].'<a href="/transfera-lei'.$x2.'">'.img('transfer.png',2).'Transfera-i lei</a>'.$div[0].$div[1].'<a href="/transfera-euro'.$x2.'">'.img('transfer.png',2).'Transfera-i euro</a>'.$div[0].$div[1].'<a href="/transfera-puncte-joc'.$x2.'">'.img('transfer.png',2).'Transfera-i puncte joc</a>'.$div[0];
if($perm>0)
{
if($detalii_membru[3]<1)
echo$div[1].'<a href="/admin-avertizeaza-membru'.$x2.'">Avertizeaza pe '.nume($la).', sa-si completeze corect profilul!</a>'.$div[0];
if($detalii_membru[22]!='')
echo$div[1].'Motiv pentru care '.nume($la).' a primit ultima data lei: <strong>'.$detalii_membru[22].'</strong>'.$div[0];
if($detalii_membru[23]!='')
echo$div[1].'Motiv ultima penalizare: <strong>'.$detalii_membru[23].'</strong>'.$div[0];
if(!in_array($la,$id_proprietari))
echo$div[1].'Browser: <a href="/admin-browser-membru'.$x2.'"><strong>'.$detalii_membru[1].'</strong></a>'.$div[0].$div[1].'IP: <a href="/admin-ip-membru'.$x2.'"><strong>'.$detalii_membru[0].'</strong></a>'.$div[0];
}
if($de==0)
echo$div[7].'Nu poți sa comunici cu '.nume($la).', deoarece nu ești autentificat!<br /><a href="/informatii-avantaje-cont-membru-autentificat">'.img('regulament.png',1).'<span style="color:red">Informații avantaje cont membru autentificat</span></a>'.$div[0];
elseif($la==0)
echo$div[7].'Nu poți sa comunici cu contul de vizitator al site-ului!'.$div[0];
elseif($la==$id_robot)
echo$div[7].'Nu poți sa comunici cu robotul site-ului!'.$div[0];
elseif($de==$la)
echo$div[7].'Nu poți sa comunici cu tine insuti, noi promovam dialogul, nu monologul!'.$div[0];
elseif($ign>0&&$perm==0)
echo$div[7].'Nu poți sa comunici cu '.nume($la).', deoarece te are în lista cu persoane ignorate!'.$div[0];
else
{
$form[0]='/ofera-dar'.$x2.'" method="post';
$form[1]=0;
require'f_scris3.php';
$darurile='';
$daruri=$conn->query('SELECT`id`,`nume`,`pret`FROM`daruri`ORDER BY`id`DESC');
while($darul=$daruri->fetch_row())
{
$darurile.=$darul[0].',,'.$darul[1].' ('.number_format($darul[2]).' lei)::';
}
$form[2]=$div[4].img('cadoul.png',1).'Ofera-i dar'.$div[5].$div[1].'Alege dar:<br />'.scris3('id_dar',$darurile).$div[0].$div[1].'Cu mesajul:<br /><input name="pmtext" value="" maxlength="500" />'.$div[0];
$form[3]='pmtext::id_dar';
$form[4]='Trimite-i darul ales';
require'f_form.php';
$form[0]='/trimite-i-alerta'.$x2.'" method="post';
$form[1]=0;
require'f_textarea.php';
require'f_scris1.php';
$form[2]=$div[1].'Trimite-i alerta:<br />'.textarea('pmtext').scris1().$div[0];
$form[3]='pmtext::font::culoare';
$form[4]='Trimite alerta';
require'f_form.php';
echo$div[1].'<a href="/trimite-mesaj'.$x2.'">'.img('mesaj.gif',1).'Trimite mesaj</a>'.$div[0];
}
require'f_jos.php';